2004-12-21  Petr Mladek  <pmladek@suse.cz>

	* Version 1.9.65

2004-12-20  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/vcl-alpha-fix.diff,
	* patches/src680-m66/apply: add a fix to get rid of
	black icon borders as 24x24 icons -> 26x26.

	* patches/order: mark m65 buildable & recommended.

	* configure.in, download.in, bin/unpack: download &
	create a sensible ooo_custom_images directory for m66.
	* bin/setup.in: pass the --with-images arguments.

	* patches/src680/icons-instsetoo_native.diff,
	* patches/src680/icons-config_office.diff: rotate to m65.
	* patches/src680/icons-xmlhelp-according-to-desktop.diff,
	* patches/src680/icons-vcl-according-to-desktop.diff:
	rotate & re-make to industrial, crystal.
	* patches/src680/cws-industrial01.diff: add, replaceing it.

	* bin/build-issues: add chart2, ooo_custom_images,
	ooo_default_images.

2004-12-20  Jan Holesovsky  <kendy@suse.cz>

	* www/name-account.txt: Added some lost whitespace, added Matthias
	  Mueller-Prove (mmp).

2004-12-20  Michael Meeks  <michael.meeks@novell.com>

	* www/name-account.html: remove, auto-generated on ooo
	from name-account.txt now.

	* www/hackers-guide.html: fold in Jayant's comments.

2004-12-20  Michael Meeks  <michael.meeks@novell.com>

	* www/name-account.txt: add updates from
	G. Roderick Singleton, & add Thorsten Ziehm.

2004-12-18  Martin Kretzschmar  <martink@gnome.org>

	* www/name-account.txt: fix Fridrich's and Tomas' names. Kill
	dups.

2004-12-17  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/system-mozilla-desktop.diff, patches/src680-m65/apply:
	  sets LD_LIBRARY_PATH in soffice wrapper to system mozilla if used.
	  FIXME: It is an UGLY hack for now.

2004-12-17  Michael Meeks  <michael.meeks@novell.com>

	* configure.in: fix various tests: Raul - didn't
	you commit that ? bin gnome-vfs check, fix e-d-s
	check, check for gtk+ if we need it.

	* www/hackers-guide.html: a major re-write.

	* www/hackers-guide-1.1*: copy from hackers-guides &
	re-link / update / add 'for 1.1' and update checkout
	tag.
	* www/old-guides.html, www/index.html: point to a
	new page detailing the older build guides etc.

	* patches/apply.pl (do_patch): make the warning
	more helpful for when a patch fails to apply even
	though the --dry-run passed.

2004-12-17  Michael Meeks  <michael.meeks@novell.com>

	* bin/ooinstall: cope with undefined OODESTDIR
	without warnings.

2004-12-16  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680-m66/apply:
	cws-buildcond02 - rotate to m65 & update.
	setup2-update-symlink, system-mozilla-moz: axe.
	All m66 patches apply cleanly.

	* patches/OOO_1_1/gui-sc-delete.diff: re-work for
	* patches/src680-m6[56]/apply: src680.

	* patches/src680-m62: remove
	* patches/src680-m64: remove

	* Summary: The drift here is binning a load of old
	patches that we had either migrated already, or
	dropped from our patch sets long ago without
	removing them. This leaves - only 2 remaining patches
	to migrate.
	
	* patches/OOO_1_1:
	gui-metric-font*, sw-ms-bullet-export,
	gui-font-no-X, datasources_types_add_mysql,
	stlport-defeat-include. i18n-calc-encoding,
	build-sparc*, stlport-includes-fix,
	disable-msfontextract, redhat-neon-sysmacrosh: axe.
	gui-disable-spellcheck-all-langs: move to test/
	disable-fontooo: axe
	
	* patches/OOO_1_1:
	xinerama-extern-c: file up-stream.
	win32-berkelydb-make, setup-upgrade,
	extra-languages, config-path-unbreak,
	evo-addrbook, build-no-dt-files: axe.
	redhat-standard-colors: transfer to src680
	system-libstdcpp, system-getopt, system-mozilla,
	norwegian-translation, path-home-documents: axe.
	setup2*, java-build, glibc234-semaphore: axe.

	* patches/OOO_1_1:
	vba-bitshift, gui-sc-cursor, odk-java-wizpanel: axe.
	gtk-integration, addrbk-datasrc-ordering: bin.
	allow-s390x: file up-stream & axe for now.
	bridges-sparc-alignment, bug-buddy, sw-lotus-*,
	gui-icon-composite, gui-splash-redraw,
	gui-startup-style, neon*CAN*, desktop-mozwrapper,
	unzip-rewrite, spell-sv-HTML: bin

	* configure.in, patches/order, patches/Makefile.am.
	* patches/src680-m66: add.

2004-12-16  Michael Meeks  <michael.meeks@novell.com>

	* Version 1.7.4

2004-12-16  Petr Mladek  <pmladek@suse.cz>

	* bin/ooinstall, bin/package-ooo: call ooinstall from package-ooo;
	  add check for /proc and RUN_POST_INSTALL_SCRIPT variable
	  to ooinstall; removed the obsolete code from package-ooo

2004-12-16  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/nld-splash.diff: Fixed length of the 1st hunk.

2004-12-16  Shreyas Srinivasan <sshreyas@novell.com>

	* Added patches/src680/fpicker-gnome-pending.diff

2004-12-16  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/nld-splash.diff,
	* patches/src680-m65/apply: re-work & re-enable.

	* doc/splash.txt: notes on the new mess.

	* Makefile.shared (artwork.install): update logic.

	* src/open*.png: convert back to .bmp - as is
	required for this artwork (odd).

2004-12-15  Petr Mladek  <pmladek@suse.cz>

	* configure.in, bin/package-ooo, bin/setup.in: added configure option
          --disable-post-install-scripts which sets the variable
          RUN_POST_INSTALL_SCRIPTS. It can be used to create packages from the
          installed files and run the scripts by the package itself after it is
          installed.

2004-12-15  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/recovery-report.diff,
	* patches/src680-m65/apply: clobber 'Mail this
	to Sun' type guff in recovery dialog.

2004-12-15  Michael Meeks  <michael.meeks@novell.com>

	* doc/im.txt: yet more blurb.

2004-12-15  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/cws-buildcond02.diff: libxmlsec depends on stlport
	  and soltools, conditional Mozilla in connectivity.

2004-12-15  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/xim-fixes3.diff,
	* patches/src680-m65/apply: fix another batch of
	nasty XIM issues.

	* bin/package-ooo: bin -rpm, causing trouble
	with m65 & unnecessary.

2004-12-14  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/system-mozilla-xmlsecurity-libnss.diff,
	  patches/src680/system-mozilla-xmlsecurity.diff: Part of Mozilla's
	  libnss needed to be able to use PK11_GetCertFromPrivateKey symbol.
	* patches/src680/system-mozilla-config_office.diff: Check for presence
	  of the symbol.
	* patches/src680/system-mozilla-xmlsecurity-nssrenam.diff,
	  patches/src680-m62/system-mozilla-xmlsecurity-nssrenam.diff:
	  Moved nssrenam.h to system-mozilla-xmlsecurity-libnss.diff & rotate
	  for m62.
	* patches/src680-m62/system-mozilla-config_office.diff: Rotate.

	* patches/src680-m64/apply, patches/src680-m65/apply: Update.
	* bin/setup.in: Use --with-system-mozilla.

2004-12-14  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/vcl-menu-fixes.diff: re-make,
	fixing a number of nasties.

2004-12-14  Petr Mladek  <pmladek@suse.cz>

	* bin/package-ooo: generate correct file list

	* patches/src680/nas-use-arch-flags.diff,
	  patches/src680-m64/parallel-libxml2-makefile_mk.diff,
	  patches/src680-m62/apply, patches/src680-m64/apply,
	  patches/src680-m65/apply: allow to set ARCH_FLAGS also when building
	  libnas and libxml2

2004-12-14  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/vcl-prelight-industrial.diff: axe
	* patches/src680/vcl-toolbox-separator.diff: re-make.

	* patches/src680/buildfix-vcl.diff: shrink to
	reflect what I committed up-stream.

2004-12-14  Michael Meeks  <michael.meeks@novell.com>

	* Version 1.7.3

	* bin/lreloc: tool to list relocations.

2004-12-14  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680-m64/apply: buildfix-unoxml.diff and
	  buildfix-forms.diff also for m64.

2004-12-14  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/buildfix-forms.diff,
	* patches/src680-m65/apply: fix forms build.

2004-12-13  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/buildfix-unoxml.diff,
	* patches/src680-m65/apply: fix build.

	* bin/setup.in: pass --with-system-libxml:
	sorry Shreyas: too slow to commit.

	* patches/src680*:
	parallel-libxml2-makefile_mk: rotate to m64
	cws-buildcond02: remake for m65
	All patches apply.

	* configure.in, patches/Makefile.am,
	* patches/src680-m65: add.

2004-12-13  Michael Meeks  <michael.meeks@novell.com>

	* bin/src-pack, doc/split.txt: split out
	libxml2, zlib into the -system package.

2004-12-10  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/cws-buildcond02.diff: update
	servicesfile.pm patch dealing wiht binfilter
	registry.

	* patches/src680/default-no-startup-wizard.diff,
	* patches/src680-m64/apply: axe hyper-irritating
	startup wizard & silently do migration if there is
	anything to do.

	* patches/src680-m60: axe.

	* patches/src680/default-easy-license.diff: axe.
	* patches/src680/default-no-license.diff: axe.
	* patches/src680/default-no-registration.diff,
	* patches/src680-m64/apply: rotate to m62 & update
	for HEAD.

2004-12-09  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680/cws-buildcond02.diff: add missing
	scp2 python conditional.

2004-12-09  Michael Meeks  <michael@ximian.com>

	* patches/order: mark m64 buildable & preferred.

	* patches/src680/cws-buildcond02.diff: create from
	cws - fixing all the below:

	* patches/src680: binfilter*, conditional-*,
	build-conditional.diff, buildfix-scp2-system-python,
	without-myspell-*: rotate to m62.

2004-12-09  Michael Meeks  <michael.meeks@novell.com>

	* bin/src-pack: fix compound breakage, stopping it
	from packaging misc. modules at all, 'io' eg.

	* bin/unpack: symlink animations if necessary.

2004-12-08  Michael Meeks  <michael.meeks@novell.com>

	* patches/src680-m62/apply, patches/src680-m64/apply,
	* patches/src680/xim-fixes.diff: add 

	* doc/im.txt: lots of updates.

2004-12-08  Michael Meeks  <michael@ximian.com>

	* www/*: sed to michael.meeks@novell.com

2004-12-08  Jan Holesovsky  <kendy@suse.cz>

	* patches/Makefile.am: Forgotten src680-m63 -> src680-m64.

	* patches/src680/buildfix-disable-mozab.diff: Fixed to apply well with
	  system-mozilla patches.

	* download.in: Add m64 download.

2004-12-07  Jan Holesovsky  <kendy@suse.cz>

	* Update to m64 and removed m63.
	  m62 should still work.

	* patches/src680/buildfix-disable-mozab.diff,
	  patches/src680/buildfix-scp2-system-python.diff,
	  patches/src680/buildfix-sfx2.diff,
	  patches/src680/buildfix-vcl.diff: Temporary hacks for m64 to build.

	* patches/src680/sc-lotus-core.diff,
	  patches/src680/sc-lotus-filter.diff: Removed, they are in m64.
	* patches/src680/bug-buddy.diff,
	  patches/src680/speed-status-bar.diff,
	  patches/src680/vcl-force-desktop.diff,
	  patches/src680/version-strike.diff: Updated to apply well.
	* patches/src680-m62/bug-buddy.diff,
	  patches/src680-m62/sc-lotus-core.diff,
	  patches/src680-m62/sc-lotus-filter.diff,
	  patches/src680-m62/speed-status-bar.diff,
	  patches/src680-m62/vcl-force-desktop.diff,
	  patches/src680-m62/version-strike.diff: Old versions for m62.

	* patches/src680-m64/.cvsignore,
	  patches/src680-m64/Makefile.am,
	  patches/src680-m64/apply: m64 added.
	* patches/src680-m63/.cvsignore,
	  patches/src680-m63/Makefile.am,
	  patches/src680-m63/apply: m63 removed.

	* TOTEST: Test speed-status-bar.diff.
	
	* configure.in: Generate m64 Makefile.

	* bin/Makefile.am: ooinstall to EXTRA_DIST.

	* bin/ooinstall: Temporary hack to work with m62 as well as m64.

2004-12-07  Shreyas Srinivasan <sshreyas@novell.com>

	* Added patches/src680/novell-cjk-fonts.diff
	patches/src680/xinerama-pic-on-all-archs.diff
	patches/src680/build-wizard-bitmap-scp.diff
	
	* Axed patches/OOO_1_1/sysui-translations.diff
	patches/OOO_1_1/java-path-blackdown.diff

2004-12-03  Shreyas Srinivasan <sshreyas@novell.com>

	* patches/src680/system-libstdcpp.diff

2004-12-02  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/install-rework.diff: Fix the epm-based installation.

2004-12-01  Michael Meeks  <michael@ximian.com>
	
	* Version 1.7.2 [ horribly broken & a re-spin ]

	* patches/src680-m62, patches/src680-m63:
	conditional-instsetoo: re-work for m63 (postprocess)
	epm-disable, icons-instsetoo-native: re-work.
	all patches (except FIXMEs) apply.
	
2004-12-01  Shreyas Srinivasan <sshreyas@novell.com>

	* Modified patches/src680-m62/apply, patches/src680-m63/apply
	patches/OOO_1_1_3/apply
	* Added	
	patches/src680-m62/gui-new-icons.diff
	patches/src680-m62/gui-metric-fonts.diff
	patches/src680-m62/gui-metric-fonts-descr.diff

2004-12-01  Michael Meeks  <michael@ximian.com>

	* bin/package-ooo: bin bogus trailing |,
	use $OOINSTDIR where appropriate, move gid_Module*
	into $BUILDDIR instead of removing.

2004-11-30  Michael Meeks  <michael@ximian.com>

	* patches/src680-m62, patches/src680-m63:
	buildfix-scp2-system-python,
	vcl-toolbox-cleanup: rotate
	sfx2-toolbox-size: remake
	add lots of FIXMEs to apply, incomplete.

	* configure.in, Makefile.am, patches/order etc.: add m63.

	* bin/package-ooo: ensure /proc is mounted,
	lots more build fixes & desparate hacks to get
	a package.

2004-11-30  Raul Siddhartha  <rsiddhartha@novell.com>

	* patches/src680/vcl-gtk-rtl-fix.diff,
	* patches/src680-m62/apply: fix nasty LTR issues.
	
2004-11-30  Shreyas Srinivasan  <sshreyas@novell.com>

	* Modified patches/src680-m62/apply, patches/OOO_1_1_3/apply
	* Modified TOTEST: Test web bullet export
	* Added  
	patches/src680-m62/sd-export-html-theme.diff 
	patches/src680-m62/sd-export-html.diff  
	patches/src680-m62/sd-export-html-translations.diff 
	patches/src680-m62/sd-export-html-descr.diff 

2004-11-29  Michael Meeks  <michael@ximian.com>

	* bin/src-pack: split out 11Mb of dictionaries
	into '-system'.
	* bin/setup.in: make --without-myspell-dicts
	default for non-win32, we should use the system
	myspell wherever possible. 

	* configure.in: bin etc/Makefile

	* patches/src680/jvmfwk-eintr.diff,
	* patches/src680-m62/apply: try to fix intermittent bug.

2004-11-27  Michael Meeks  <michael@ximian.com>

	* bin/package-ooo: fix a number of silly bugs.

2004-11-26  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/vcl-force-desktop.diff,
	  patches/src680-m62/apply: More reliable desktop
	  detection (GNOME_DESKTOP_SESSION_ID and KDE_FULL_SESSION).

2004-11-26  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_3/*: drop DebianOnly section, can
	be grokked from the branch.
	* patches/OOO_1_1_3/font-de-bitstreamize-en.diff: bin.
	* bin/font-munge: expunge all bitstream font usage,
	in the standard mappings, it almost always makes no
	sense.

2004-11-26 Shreyas Srinivasan <sshreyas@novell.com>

	* Modified bin/font-munge to add font-andy after 
	ComicSans and before kidprint

2004-11-26  Michael Meeks  <michael@ximian.com>

	* patches/win32-stlport-build.diff: bin vc6 build fix.

	* download.in: bin download of ooo-icons-scaled on win32

	* patches/src680-m62/apply: split out NovellOnlyUnix.

	* patches/OOO_1_1_3/apply, patches/src680-m62/apply:
	novell-filebug -> filebug-support

	* patches/src680/default-no-registration.diff,
	* patches/src680-m62/apply: bin daft help menu item.

	* patches/src680/win32-activex-disable.diff,
	* patches/src680-m62/apply: add, untested.
	win32-libart-build -> rework
	win32-internal-libart -> transfer.

	* etc: bin - obsolete.

	* Version 1.7.1 [ broken ]

	* patches/src680/gui-insensitive.diff: improve the look
	of insensitive icons.

2004-11-24  Michael Meeks  <michael@ximian.com>

	* patches/src680/icu-no-rpath.diff: bin, junk.
	
	* doc/mono.txt: add
	
	* Makefile.shared: remove rpm: rule

2004-11-25 Shreyas Srinivasan

	* patches/src680-m62/apply,patches/OOO_1_1_3/apply
	* Added patches/src680-m62/padmin-nofontconfig.diff

2004-11-25  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680-m62/apply: Enable buildfix-automation.diff again.

2004-11-23  Shreyas Srinivasan  <sshreyas@novell.com>
	
	* Axed patches/OOO_1_1/vba-sc-import.diff
	 patches/OOO_1_1/vba-sc-export.diff

2004-11-23  Jan Holesovsky  <kendy@suse.cz>

	* bin/ooinstall: linkoo is now in OOo sources, not in <ooo-build>/bin.

	* patches/src680/shell-desktop-launch.diff,
	  patches/src680-m62/apply: Take DESKTOP_LAUNCH into account.
	* patches/OOO_1_1/helper-programs.diff,
	  patches/OOO_1_1_3/apply: Remove old DESKTOP_LAUNCH bits.

	* patches/src680/fpicker-kde-dialog.diff: Update the file list when
	  extension was changed. Thanks to Lubos Lunak, JCA covered by SUSE
	  CR, s.r.o.

2004-11-23  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_3/apply, patches/src680-m62/apply:
	win32-gw-send-mail.diff -> forward port, needs build testing.

2004-11-22  Jan Holesovsky  <kendy@suse.cz>

	* download.in: '#' for an ODMA comment, ignore empty filenames in
	  download_files().

	* patches/src680/vcl-util-makefile-kde.diff,
	  patches/src680-m62/apply, configure.in: Fix one more
	  WIDGETSET_KDE_LIBS instead of KDE_LIBS after integration of vcl28,
	  --enable-kde by default again.

	* configure.in, bin/build-ooo, bin/setup.in: Removed obsolete
	  workarounds for m55 and m57 builds.

	* patches/src680/without-myspell-scp2.diff,
	  patches/src680-m62/apply: Fix installation without myspell.

	* configure.in, download.in: Use images_kde-m62-1.zip.

2004-11-19  Michael Meeks  <michael@ximian.com>

	* Version 1.7.0 [ very broken ]

	* bin/build-tools: hack out epm build.
	
	* patches/apply.pl: enforce all patches are .diff

	* patches/src680/*: bin broken '.patch' files
	redhat-nautilus-icons, build-opt-size, debug-ooo,
	iiimf-multilingual-extension-2-enable: bin -
	no up-stream IZ issues & mostly obsolete.
	path-home-documents -> default-save-path
	rename all .patch -> .diff, label ones that need
	filing up-stream.

	* Makefile.am, configure.in, autogen.sh: disable
	bonobo component for now.

	* bin/Makefile.am: dung out.

	* bin/setup.in: use internal mozilla by default.

2004-11-18  Michael Meeks  <michael@ximian.com>

	* patches/src680/build-conditional.diff:
	add !$negate as default for undefined
	variables.

	* bin/package-ooo: axe creation of common pkg core
	list - now done by make_installer.pl,
	remove OOO_ICONS_NAMES section, fixup file list
	creation.

	* bin/package-ooo, bin/install-dictionaries: pass
	install dir as a parameter.

	* patches/src680/conditional-instsetoo.diff:
	push lingucomponent dep. into here.

	* patches/src680/epm-disable.diff: disable epm
	based install.

2004-11-17  Michael Meeks  <michael@ximian.com>

	* patches/src680/buildfix-scp2-system-python.diff:
	rotate & re-work & update.

	* patches/src680/buildfix-scp2-font.diff,
	* patches/src680-m62/apply: fix up-stream
	brokenness.

	* patches/OOO_1_1_3/apply
	win32-odma-build, win32-odma-gw-fix: move to test
	win32-nojava: axe.
	vba-not-comments: transfer
	gui-interop-warnings.diff: update a litte.
	translation-shift: axe, pj: "ivo did the fix for SRC680"
	sysui-translations.diff: axe, pj: "
	config-switches, disable-myspell-dicts: replace with:
	without-myspell.diff & conditional-instsetoo.diff

	* patches/OOO_1_1_3/apply
	vba-attribute, vba-foreach: transfer
	vba-compatible -> default-vba-compatible: transfer
	
	* bin/setup.in, configure.in, bin/unpack,
	download.in: bin epm handling.
	* patches/src680/epm-disable.diff: add

	* patches/OOO_1_1_3/apply
	icu-no-rpath, help-support: transfer.

	* configure.in: turn off kde bits by default,
	since inexplicably missing GQList symbol.

	* download.in, bin/unpack: download & unpack
	-system bits on win32.

	* bin/install-artwork: axe
	* Makefile.shared: add artwork.install rule back,
	install .png splash artwork
	* src/*.bmp convert to .png

	* patches/OOO_1_1_3/apply
	db-duplicate-tables, vba-scanner-fix: axe
	vba-keybinding: transfer
	vba-export* - move to test/
	nld-splash -> re-work
	ximian-splash, novell-splash, suse-splash: axe.

	* patches/src680/system-mozilla-extensions.diff:
	remove nsplugin bit (up-stream) & re-work ldap
	patch.
	* patches/src680/default-keybindings.diff:
	re-name sch/ file.
	* patches/src680/default-spell-check.diff:
	rotate to m60 & axe.

	* patches/src680/vcl-util-makefile-kde.diff,
	* patches/src680/build-svtools-dep.diff,
	* patches/src680/buildfix-wizards.diff,
	* patches/src680/buildfix-wizards.diff,
	* patches/src680/gui-dialog-alpha.diff,
	* patches/src680/buildfix-scp2.diff,
	* patches/src680/vcl-prj-kde.diff: rotate to m60
	& axe.

	* patches/src680-m5[57]/*: axe.
	* patches/64bit/*.diff: axe.

	* doc/split.txt: add size list of un-split modules.

2004-11-17  Michael Meeks  <michael@ximian.com>

	* patches/src680/buildfix-automation.diff,
	* patches/src680-m62/apply: make it build with gcc 3.3

	* patches/src680-m62/apply: bin gui-splash-redraw.diff
	completely untested & horribly broken.

	* patches/src680/gui-splash-redraw.diff: add missing 'f'.

	* patches/src680/bug-buddy.diff: fix silly build error.
	* patches/src680/build-conditional.diff: bin debug.

2004-11-16  Michael Meeks  <michael@ximian.com>

	* patches/src680-m60/conditional-instsetoo.diff: rotate.
	* patches/src680/conditional-instsetoo.diff: upd.
	* patches/src680-m60/conditional-vcl.diff: rotate.
	* patches/src680/conditional-vcl.diff: upd.
	* patches/src680-m62/apply: hack out conflicting patches
	for now (get a build running tonight) comment with FIXME

	* patches/Makefile.am, configure.in,
	* patches/src680-m62: add patch directory, drop old bits.

	* patches/OOO_1_1_3:
	win32-berkeleydb-toplevel, win32-berkeleydb-make-patch,
	win32-sjlib: axe, no-longer relevant.

	* bin/setup.in, download.in (download_files): download
	/ unpack just the -core file - unconditionally; breaks
	m60 builds but ...

2004-11-16 Shreyas Srinivasan <sshreyas@novell.com>

	* Added Files:
	 patches/src680/addrbk-datasrc-ordering.diff
	 patches/src680/bug-buddy.diff
	 patches/src680/gui-splash-redraw.diff
	 patches/src680/path-home-documents.diff
	 patches/src680/version-strike.diff

	* Axed Files
	 patches/OOO_1_1/system-altlinuxhyph.diff
	 patches/OOO_1_1/system-db.diff
	 patches/OOO_1_1/system-myspell.diff
	 patches/OOO_1_1/system-sane.diff
	 patches/OOO_1_1/system-unixodbc.diff
	 patches/OOO_1_1/system-xrender.diff

2004-11-16  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/icons-svx-dont-crash-24x24.diff,
	  patches/src680-m60/apply: Don't crash with 24x24 icons.

2004-11-15  Michael Meeks  <michael@ximian.com>

	* bin/src-pack: hack into some decent shape,
	add md5sum support.

	* patches/src680/binfilter.diff: remove conditional.
	
	* patches/src680/conditional*: add
	* patches/src680/build-conditional.diff,
	* patches/src680-m60/apply: add lots of build
	conditionals & line-breaks in prj deps.

2004-11-15  Jan Holesovsky  <kendy@suse.cz>

	* patches/OOO_1_1/build-pl-parallel-dmake-blacklist.diff: Remove,
	  obsoleted by ParallelMake section.
	
	* patches/OOO_1_1/fpicker-common.diff,
	  patches/OOO_1_1/fpicker-kde.diff: Remove.
	* patches/src680/fpicker-kde-dialog.diff,
	  patches/src680/fpicker-kde-service.diff: OOP KDE fpicker
	  implementation.
	* patches/src680/fpicker-gnome-build.diff: Build fixes for Gtk+
	  fpicker.
	* patches/src680/fpicker-common-build.diff,
	  patches/src680/fpicker-common-scp2.diff: Build and install both fpickers.
	* patches/src680/fpicker-show-checkbox.diff: Decide whether the system
	  fpicker is available at the runtime.

	* patches/src680/binfilter-solenv.diff: Fixed typo.

	* patches/OOO_1_1_3/apply, patches/src680-m60/apply: Update.

2004-11-15  Michael Meeks  <michael@ximian.com>

	* patches/src680-m60/apply: add continuations
	* patches/apply.pl (list_patches): cope with
	continuation lines.

	* patches/OOO_1_1_3/apply: bin lotus bits.

	* test/lotus/testfile-me.123: more recent
	file format example.

	* patches/src680/sc-lotus-filter.diff,
	* patches/src680/sc-lotus-core.diff,
	* patches/src680-m60/apply: add Lotus 123
	import cws bits.

2004-11-12  Michael Meeks  <michael@ximian.com>

	* test/lotus/attribute-9.7.123: add from #i36436#

2004-11-12  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_3/apply, patches/src680-m60/apply:
	debug-appinit -> desktop-bootstrap-debug
	gui-window-layout, gui-control-layout,
	sd-export-html-thumbnails -> patches/test
	
	* patches/src680-m60/apply: enable evolution
	patches - builds / registers / installs fine,
	fails to work meaningfully.

2004-11-12  Jayant Madavi  <mjayant@novell.com>

	* patches/evo2/connectivity-source-drivers-evoab1-5-ndriver-cxx.diff:
	fix #69128

2004-11-12  Michael Meeks  <michael@ximian.com>

	* NEWS: update from ooo-build-1-3 for web-site.

2004-11-11  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_3/apply:
	build-instsetoo-lang, 	build-instsetoo-langext:
	axe, will need re-working with new lang-pack code.
	sensible-browser: axe, need to use desktop-launch
	build-arch-flags: axe, similar thing up-stream.
	nas-use-arch-flags: axe, HEAD will compile with recent
	gcc's anyway so - hopefully less necessary.

2004-11-11  Jan Holesovsky  <kendy@suse.cz>

	* bin/ooinstall: Use $MOZ_LIB in LD_LIBRARY_PATH
	with system Mozilla.

2004-11-11  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_3/apply, patches/src680-m60/apply:
	gui-tbx-new-size -> sfx2-toolbox-size

	* doc/package.txt: add.

2004-11-11  Gabor Keresztfalvi <gkeresztfalvi@novell.com>

	* bin/oowintool: fix .Net 2002 build / path problems.

	* bin/unpack: mark file as executable.

2004-11-11  Michael Meeks  <michael@ximian.com>

	* bin/ooinstall: re-write in perl with more
	pain & power.

	* bin/ooinstall: hackers tool to install
	(&link) OO.o

	* patches/src680/binfilter-package.diff,
	* patches/src680-m60/apply: add.

	* patches/src680/install-rework.diff: update,
	more hacks - add -destdir support.

	* bin/package-ooo: re-work chunks
	* bin/package-lang: axe.

2004-11-11  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/buildfix-system-jpeg.diff,
	  patches/src680-m60/apply: Ugly hack to fix compilation with
	  --with-system-jpeg.

2004-11-10  Michael Meeks  <michael@ximian.com>

	* bin/package-ooo,
	* patches/src680/install-rework.diff,
	* patches/src680-m60/apply: start to re-hash
	the installer oddness so we can get a '.spec'
	packages the package, rather than package makes
	the .spec type setup.

2004-11-09  Michael Meeks  <michael@ximian.com>

	* packaging process - instsetoo_native/util:
	dmake openoffice_en-US -> solenv/bin/make_installer.pl ... -rpm	
	$installer::globals::call_epm, $installer::globals::rootpath, 'destpath'

	* bin/build-people: add script to sort & generate
	name-account.html from name-account.txt & refresh the
	page - everyone correctly sorted now & room for expansion.

	* www/name-account.txt: re-work name-account
	into a colon delimited list instead, for better
	sorting / querying via some (pending) perl scripts.

2004-00-09  Jan Holesovsky  <kendy@suse.cz>

	* patches/OOO_1_1/gui-fonts-kde.diff: Remove. KDE DtIntegrator is not
	  needed thanks to KDE vclplug.

	* patches/OOO_1_1/fpicker-show-checkbox.diff: Remove. For Gtk+
	  fpicker it is already upstream, for the KDE one it will have to be
	  changed later.

	* patches/OOO_1_1_3/apply: Kill fpicker-desktop-environment.diff,
	  gui-fonts-kde.diff, fpicker-show-checkbox.diff,
	  fpicker-svtools-gtk-or-kde.diff,
	  fpicker-gnome-svtools-folderpicker.diff.

2004-11-09  Michael Meeks  <michael@ximian.com>

	* bin/src-pack: start of a script to split up
	the source archives into several smaller
	packages.

	* bin/setup.in: fix crashdump typo, add
	--with-system-jpeg

	* patches/OOO_1_1_3/apply (CalcFixes):
	disable-java - axe, fixed up-stream.
	java-use-xslt-filters - axe, packaged up-stream
	doc-defaults - axe, already in default-spell-check

	* patches/OOO_1_1_3/apply (CalcFixes):
	sc-precision-var, sc-precision-skew - bin,
	just got into calc25 cws.
	disable-odk-build: bin - only useful for minimal
	helper-programs-redhat, helper-programs-kde:
	axe - should use new desktop-launch stuff.
	user-dekstop-install, fromtemplate-wrapper-install:
	axe - would need re-work anyway.
	i18n-calc-encoding - apparently fixed up-stream.
	helpcontent-no-bak - axe, uses a *.xsl filter now.

	* patches/test/layout-*: archive this stuff
	here, hopefully useful in future.
	* patches/OOO_1_1/layout-*: axe.

	* patches/wpd/*: kill.
	* patches/OOO_1_1_3/apply: axe the WordPerfect
	section it's in m60.

2004-08-27  Christian Junker  <usboy2004@web.de>

	* www/hackers-guide-de.html: German translation of the
	hackers guide.

2004-11-08  Michael Meeks  <michael@ximian.com>

	* www/hackers-guide.html, www/hackers-guide-ja.html: upd.
	* www/index.html: upd. / announce

	* bin/setup.in: axe the --with-system-db stuff for now,
	system packages don't include vital java bits for xmlhelp

2004-11-08  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/buildfix-wizards.diff: Removed invalid hunk.

	* configure.in, download.in, bin/build-tools,
	  bin/setup.in, bin/unpack: When epm is not found in system, it will
	  be downloaded and built.

2004-11-05  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/binfilter-solenv.diff: Added. Do not try to package
	  binfilters in instsetoo_native.

	* patches/src680/buildfix-scp2-system-python.diff: Added. Do not try
	  to package python when using --with-system-python.

	* zip-fix.diff: Removed.
	* patches/src680/buildfix-wizards.diff: Better fix from
	  cws_src680_hr9 for the wizards build.

	* patches/src680-m60/apply: Use the changes.

	* configure.in: Beautified the --help, added check for epm.

	* Makefile.shared,
	  bin/create-rpms: Support for "make rpms".

	* patches/order: src680_m60 is the default target now.

2004-11-04  Jan Holesovsky  <kendy@suse.cz>

	* Update to src680-m60:

	* configure.in,
	  download.in: Be aware of the src680-m60.

	* bin/build-ooo,
	  bin/setup.in: Build in instsetoo_native instead of instsetoo, fix
	  --with-lang for m60.

	* patches/src680-m57/binfilter.diff,
	  patches/src680-m57/config-office-plug.diff,
	  patches/src680-m57/icons-config_office.diff,
	  patches/src680-m57/icons-instsetoo.diff,
	  patches/src680-m57/nsplugin-disable.diff,
	  patches/src680-m57/system-mozilla-*,
	  patches/src680-m57/vcl-util-makefile-kde.diff,
	  patches/src680-m57/zip-fix.diff: Old versions of the patches moved
	  to m57.

	* patches/src680/config-office-plug.diff,
	  patches/src680/nsplugin-disable.diff,
	  patches/src680/icons-instsetoo.diff,
	  patches/src680/system-mozilla-disable-connectivity.diff: Removed.

	* patches/src680/binfilter.diff,
	  patches/src680/icons-config_office.diff,
	  patches/src680/system-mozilla-*,
	  patches/src680/vcl-util-makefile-kde.diff,
	  patches/src680/zip-fix.diff: Updated to m60.

	* patches/src680/binfilter-scp2.diff: Do not try to install binfilter.

	* patches/src680/buildfix-scp2.diff,
	  patches/src680/buildfix-wizards.diff: Temporary build fixes.
	  
	* patches/src680/fix-vcl-kde.diff: Fixes from ooo-build-1-3.

	* patches/src680/cleanup-vcl-nwf.diff,
	  patches/src680/cleanup-vcl-kdeint.diff: Cleanup the old/unneccessary
	  bits.

	* patches/src680/icons-instsetoo_native.diff: Gnome and KDE icon sets.

2004-11-02  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/icons-xmlhelp-according-to-desktop.diff: Fallback to
	  images.zip when images_\(gnome\|kde\).zip does not exist.

	* patches/src680-m57/apply: Issue number for icon patches.

2004-11-01  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/icons-config_office.diff,
	  patches/src680/icons-instsetoo.diff,
	  patches/src680/icons-scp2.diff,
	  patches/src680/icons-vcl-according-to-desktop.diff,
	  patches/src680/icons-xmlhelp-according-to-desktop.diff: Added the
	  possibility to have 3 icon sets at the same time (original OOo,
	  Gnome and KDE).

	* configure.in,
	  bin/setup.in:
	  - Killed --with-icons switch and the stuff that came with that.
	  - Fixed --enable-gtk and --enable-kde to be on by default with the
	    possibility to disable them through --disable-\(gtk\|kde\).
	  - Icon sets are installed according to --enable-\(gtk\|kde\) now.

	* download.in: Locations of images_gnome-m57-1.zip and
	  images_kde-m57-1.zip.

	* Makefile.shared: Killed artwork.install rule.

	* bin/unpack: No more icons unpacking.

	* patches/src680/resmgr-resource-path.diff: Removed. We do not have to
	  play with the location of resources, because Gnome and KDE icons can
	  be installed at the same time now.

	* ChangeLog: Fixed several malformed dates, and some whitespace.

2004-10-28  Shreyas Srinivasan <sshreyas@novell.com>

	* patches/OOO_1_1/*, patches/OOO_1_1_3/apply: 
	* Removed Files:
	  db-mail-merge-size.diff

	* patches/src680/*, patches/src680-m55/apply:
	* Added Files
	  build-opt-size.diff, build-optimized-link.diff
	  crash-sd-spellcheck.diff, debug-ooo.diff
	  gui-control-layout.diff, gui-menu-check-images.diff
	  gui-menu-check-render.diff, gui-sw-insert-symbol.diff

2004-10-28  Shreyas Srinivasan <sshreyas@novell.com>

	* patches/src680/*, patches/src680-m55/apply:
	* Added Files
	  gui-sw-scroll.diff, gui-window-layout.diff
	  html-8bit-export-shrink.diff, icu-build-no-extras.diff
	  iiimf-multilingual-extension-2-enable.diff,  no-splash-takeover.patch
	  redhat-nautilus-icons.patch, rsc-double-free-fix.diff

2004-10-27  Shreyas Srinivasan <sshreyas@novell.com>

	* patches/OOO_1_1_3/apply patches/src680-m57/apply

	* Added:
	  patches/src680/gui-font-paranoid-fallback.diff
	  patches/src680/print-type42.diff -> patches/src680/pushfont-psstream.diff
	  patches/src680/resmgr-resource-path.diff

	* Axed:
	  patches/OOO_1_1/print-resolution-generic.diff
	  patches/OOO_1_1/sc-csv-gui.diff
	  patches/OOO_1_1/sc-csv-newline.diff
	  patches/OOO_1_1/scp-no-ooo-res.diff

2004-10-22  Michael Meeks  <michael@ximian.com>

	* test/Lwp/lwp2.c: try a 0-8 based control char
	  framing, simiarl to bento.

	* test/Lwp/bento.c: decode the latter framing bits.

	* doc/lwp.txt: add great links.

2004-10-21  Michael Meeks  <michael@ximian.com>

	* bin/preloc: re-work substantially for Nicel.

	* patches/src680-m57/apply: bin the 64bit bits from
	apply - it seems hr is working hard on fixing this
	stuff in cvs anyway.

	* patches/64bit/64bit-svx.diff: fix more 0LU -> 0U to
	ULONG( 0 )s.
	
	* patches/src680/binfilter.diff: fix so we don't build
	binfilter (typo)

	* patches/64bit/64bit-xmloff.diff: fix 32bit issues.
	* patches/64bit/64bit-svtools.diff: fix 32bit issues.

	* patches/64bit/64bit-toolkit.diff: remove bogus
	section.

	* patches/src680-m57/apply: bin 64bit-nas - redundant.

2004-10-21  Shreyas Srinivasan <sshreyas@novell.com>

	* patches/OOO_1_1/*, patches/OOO_1_1_3/apply:
	* patches/src680/*, patches/src680-m55/apply:
	* Added sw-import-crash.diff,asm-fixes.patch,svx-freeze-fix.patch,
	  pyuno-update-docs.diff,xmlhelp-optimize-linkage.patch

2004-10-21  Petr Mladek  <pmladek@suse.cz>

	* patches/src680/system-mozilla-xmlsecurity.diff: nssrenam.h is needed
	  only with system mozilla; the one in OOo soutces is already patched
	  another way

2004-10-21  Michael Meeks  <michael@ximian.com>

	* bin/setup.in: add --with-system-python to flags.

	* patches/OOO_1_1/pyuno-ucs-4-fixes.diff,
	* patches/OOO_1_1_3/apply: axe.

	* patches/64bit/jvmfwk.diff: bin javainfo.hxx include.

2004-10-20  Michael Meeks  <michael@ximian.com>

	* bin/ooo-wrapper.in: don't spew irritating warnings.

2004-10-20  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/solenv-target-mk-parallel.diff,
	  patches/src680/solenv-tg_sdi-mk-parallel.diff,
	  patches/src680/sysui-makefiles-parallel.diff: Renamed to
	  parallel-solenv-target-mk.diff, parallel-solenv-tg_sdi-mk.diff, and
	  parallel-sysui-makefiles.diff.
	* patches/src680/parallel-curl-makefile_mk.diff,
	  patches/src680/parallel-libxml2-makefile_mk.diff,
	  patches/src680/parallel-python-makefile_mk.diff: Pass $(MAXPROCESS)
	  to GNU make as well.

	* patches/src680/default-pairkerning-on.diff: Pair kerning on by
	  default for new documents.

2004-10-20  Michael Meeks  <michael@ximian.com>

	* patches/64bit/*.diff: more fixing / enabling.

	* www/ooo-build.html: add branch descriptions for
	Chris.

	* patches/src680-m57/apply (NLD): 
	* patches/64bit/*.diff: some re-work for src680-m57

	* patches/src680/x86-64-sal.diff: bin
	* patches/64bit/*.diff: back-port from
	cws ooo64bit02

	* patches/src680/thread-yield.diff -
	bin: unnecessary in 2.0

2004-10-19  Michael Meeks  <michael@ximian.com>

	* bin/cvsclean: hacked up script to try and
	remove broken patch header fragments.

	* bin/setup.in: bin environment / clobbering.

2004-10-19  Shreyas Srinivasan <sshreyas@novell.com>

	* patches/OOO_1_1/*, patches/OOO_1_1_3/apply:
	* Axe gui-menu-checkitems.diff,print-error.diff
	* patches/src680/*, patches/src680-m55/apply:
	* Added build-lang-no-pack.diff -> conditional-lang-build.diff,
	  app-compatible.diff -> ms-export-default.diff,
	  setup-no-langcheck.diff, disable-vera-extraction.diff, config-aclocal.diff

2004-10-19  Michael Meeks  <michael@ximian.com>

	* patches/src680/system-mozilla*.diff,
	* patches/src680-m57/apply: add Caolan's system
	mozilla stuff - un-buildable on x86_64 otherwise.

	* www/hackers-guide.html, www/hackers-guide-ja.html:
	rename bin/linkoo, bin/relocate to remove bin/.

	* bin/relocate, bin/linkoo: axe, included in
	src680_m57.

	* patches/order: mark m57 as the latest & most
	buildable whatnot.

2004-10-18  Michael Meeks  <michael@ximian.com>

	* patches/src680/build-conditional.diff: fix
	very silly bug.

	* patches/src680-m55/build-conditional.diff
	* patches/src680-m55/vcl-prj-kde.diff,
	* patches/src680-m55/binfilter.diff
	* patches/src680*: rotate & upd.for m57.

	* patches/src680/vcl-prj-kde.diff: rotate for m57.

	* patches/OOO_1_1/*, patches/OOO_1_1_3/apply:
	axe compile-msgbox-gnome,
	re-work gui-menu-fixes -> vcl-menu-fixes
	rename setup-license -> default-easy-license

	* patches/OOO_1_1/*, patches/OOO_1_1_3/apply:
	split KDEOnly bits into own section @ end & leave
	for Jan. Make 'Ignorable' section too for things to forget.
	transfer thread-yield, prepend default- to ms-filter-convert
	default-keybindings - re-make gui-keybindings

	* configure.in, patches/Makefile.am, download.in,
	* patches/src680-m57/*: add m57 snapshot directory.

2004-10-18  Shreyas Srinivasan <sshreyas@novell.com>

	* patches/OOO_1_1/*, patches/OOO_1_1_3/apply:
	* axed inst-destdir.diff,gui-keybindings.diff,help-fallback.diff
	* patches/src680/*, patches/src680-m55/apply:
	* Added odk-java-wizpanel.diff,ms-filter-convert.diff

2004-10-18  Michael Meeks  <michael@ximian.com>

	* patches/src680/default-glyph-light.diff,
	* patches/src680-m55/apply: add instead of
	axed gui-ft-set-hint.patch, gui-ft-21-compat.patch

	* patches/OOO_1_1_3/apply [TestGtkIntegration]: bin.
	axe glib-integration.diff, gtk-integration-*
	axe win32-transfer-alpha (ugh), win32-sd-vc6 (.Net 2003 only)
	axe *-splash (should do this a nicer way),
	redhat-default-fonts (not used anyway)

2004-10-18  Michael Meeks  <michael@ximian.com>

	* patches/src680/x86-64-sal.diff,
	* patches/src680-m55/apply: recognise the processor.

2004-10-15  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/*, patches/OOO_1_1_3/apply:
	axe sw-crash-fix, gui-startup-style ->
	default-no-style-dialog, axe wm-dialog-utility
	axe build-using-old-libart

	* patches/OOO_1_1/*, patches/OOO_1_1_3/apply:
	axe print-dialog, gui-font-fontconfig-only ->
	default-no-x-fonts, axe gui-ft-use-system-font

2004-10-15  Jan Holesovsky  <kendy@suse.cz>

	* configure.in,
	  bin/build-ooo,
	  bin/setup.in:
	  - Bin --with-ccache-allowed and --with-num-jobs, which are both
	    confusing.
	  - Introduced --with-gcc-speedup= which can be 'ccache', 'icecream',
	    or 'ccache,icecream'; it will setup the CC and CXX variables as
	    needed. --with-icecream-bindir and --with-icecream-max-jobs can be
	    used to change icecream's defaults.

	* patches/src680-m55/apply: Issue numbers for the parallel make
	  patches.

2004-10-15  Michael Meeks  <michael@ximian.com>

	* patches/src680/vcl-prelight-industrial.diff,
	* patches/src680/vcl-toolbox-cleanup.diff: fix
	more toolbar ugliness, fixes from gui-toolbox-prelight

	* patches/src680/vcl-toolbox-separator.diff
	split from gui-toolbox.diff
	
	* patches/OOO_1_1/*, patches/OOO_1_1_3/apply:
	axe valgrind-alloc, move gui-startup-declutter ->
	default-no-registration.diff
	* patches/src680/default-no-license.diff,
	* patches/src680-m55/apply: bin irritating license
	acceptance dialog.

2004-10-15  Jan Holesovsky  <kendy@suse.cz>

	* solenv-target-mk-parallel.diff,
	  solenv-tg_sdi-mk-parallel.diff,
	  sysui-makefiles-parallel.diff: Fix makefiles for parallel make
	  when doing distributed build.

2004-10-14  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/*, patches/OOO_1_1_3/apply:
	re-make gui-toolbox-tristate.diff
	axe gui-font-scale, gui-scale-ruler
	re-make gui-font-antialias-size as
	default-font-aasize.diff,
	axe gui-font-size-unbreak (#35564)
	gui-font-default-size -> default-font-size

	* patches/OOO_1_1/*, patches/OOO_1_1_3/apply:
	axe gui-tbxcust, axe icon-masks (#35557)
	re-write gui-icon-composite as gui-dialog-alpha
	axe gui-tbx-ctrl-bg, gui-alpha-hypertoolbar

	* patches/OOO_1_1/*, patches/OOO_1_1_3/apply:
	re-wrote gui-insensitive.diff for src680.

	* patches/src680-m55/apply: re-arrange patches
	* patches/src680/doc-defaults.diff: rename to 
	* patches/src680/default-spell-check.diff: this to
	better reflect it's function.

2004-10-14 Shreyas Srinivasan <sshreyas@novell.com>

	* patches/OOO_1_1/*, patches/OOO_1_1_3/apply:
	* binned officecfg-parallel-build-fix.diff
	* patches/src680/*, patches/src680-m55/apply:
	* Added doc-defaults.diff,evo-addrbook.diff,
	  psprint_config-no-orig.diff,setup2-update-symlink.diff

2004-10-14 David Fraser <davidf@sjsoft.com>

	* patches/src680/sal-cxa-guard.diff, patches/src680-m55/apply:
	latest fedora releases use a funny gcc, this is a fix

2004-10-13  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/gui-insensitive.diff: working
	on making this play ball well with src680.

	* patches/OOO_1_1_3/apply, patches/src680-m55/apply:
	gui-toolbox-large-icons: move across & re-work.

2004-10-13 Shreyas Srinivasan <sshreyas@novell.com>

	* patches/OOO_1_1/*, patches/OOO_1_1_3/apply:
	* binned zoom-combobox, gui-tbx-pallete, security-tmp-dir
	* patches/src680/*, patches/src680-m55/apply:
	* Added sc-default-color-modify, speed-lang-cache,
	  speed-status-bar.diff

2004-10-13  Michael Meeks  <michael@ximian.com>

	* test/Lwp/lwp.c: more hacks.

2004-10-12  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680-m55/apply: Issue numbers for vclplugs-related
	patches.

2004-10-12  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* www/index.html: remove links to old & integrated community
	cws. Add a cia link for ooo-build.

2004-10-12  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680/config-office-plug.diff: Gtk+ and KDE vclplug
	configure switches.
	* vcl-prj-kde.diff, patches/src680/vcl-util-makefile-kde.diff,
	  patches/src680/scp-vclplug-kde.diff: Make the KDE vclplug
	compilation and installation possible.
	* patches/src680-m55/apply: Use the patches.

2004-10-12  Michael Meeks  <michael@ximian.com>

	* patches/src680/sc-paste-dialog.diff: re-hash
	* patches/src680/gui-sc-paste.diff: bin
	* patches/src680-m55/apply: upd.

2004-10-12  Michael Meeks  <michael@ximian.com>

	* Makefile.shared: remove dep. on .patch files.

	* fix misc. build / dist problems.

	* patches/src680/gui-sc-paste.diff: fix include.

2004-10-12  Jan Holesovsky  <kendy@suse.cz>

	* patches/src680-m55/apply: Temporarily disabled gui-sc-paste.diff, it
	does not compile.

2004-10-11  Michael Meeks  <michael@ximian.com>

	* bin/setup.in: disable binfilter by default,
	disable crashdump too.
	capitalization - move across
	axe gui-toolbox-cleanup, gui-menu-new-wizard-translations
	sc-fn-eng, sc-xl-io, sc-singleton-intersect,
	sc-biffdump, sc-merge-cell,
	win32-icu-config, win32-icu-make, win32-icu-build

	* patches/OOO_1_1/*, patches/OOO_1_1_3/apply:
	axe gtk-theming, gui-rename-dlg, sw-bullet-not-field
	gui-sc-paste, sd-export-no-spellcheck - move across
	axe print-do-not-change-document, module-buildset-crashrep

	* patches/OOO_1_1/*, patches/OOO_1_1_3/apply:
	axe vcl-gtk-keycode, vcl-dnd-fix,
	vcl-gtk-fontconfig-fonts
	vcl-unx-gtk-menu-style: add to src680
	axe deliver-compare - hopefully not necessary in
	the future.
	debug-helper - re-work to src680
	desktop-debug-fix - move to src680

2004-10-11  Michael Meeks  <michael@ximian.com>

	* bin/preloc: measure our weak-symbol
	relocation addiction.

2004-10-11  Michael Meeks  <michael@ximian.com>
	
	* patches/OOO_1_1/*, patches/OOO_1_1_3/apply:
	axe build-pl-conditionals.diff: re-worked for
	src680 already.
	axe flash-compile-fix, sc-show-sensitize,
	doc-retitle, sw-ms-fmt-import, sw-default-bullet
	build-svtools-dep: transfer to src680

	* patches/OOO_1_1/*, patches/OOO_1_1_3/apply:
	axe list-box-click.diff, solar-use-fork.diff
	sw-export-word95, pagein-speedup, pagein-speedup-2
	word-count, recent-files, crash-mapmode,
	crash-sw-redline, crash-sw-checkbox-field,
	speed-bootstrap-cache, valgrind-clean,
	crash-escherex, win32-bmp32-ssa-fixes,
	win32-bmp32-speedup, crash-sw-import


	* TOTEST: add - with notes on things to
	re-validate when we've finally pulled everything
	up to HEAD.

	* patches/OOO_1_1/*, patches/OOO_1_1_3/apply:
	axe [GnomeVFS] section.
	bin i18n-sal, i18n-rehash, i18n-cleanup.
	bin win32-msvs-2003* back-ports
	bin gui-symbol-replace, bmp32, icon-render,
	gui-image-load, startup-fix

	* patches/ld*: bin go-faster linker patches.

	* patches/mscodec/*, patches/vclplug/*: axe,
	back-ported.

	* patches/src680/*: prune snap cruft.

	* configure.in, patches/Makefile.am: prune
	src680-snap mess.

	* bin/ooo-wrapper.in - savagely hack - it seems
	much of this is no longer necessary, settings now
	saved in ~/.OpenOffice1.9 as if by magic.
	* bin/configure.in: update version bits.

	* pEnv->SetInstallForAllUser not called for _NETWORK
	somehow.

	* bin/ooo-wrapper.in: don't unlink the setup config
	if in debugging mode.

	* bin/package-ooo: binsuffix fixes for install

2004-10-10  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

	* bin/package-ooo: Add icon_set logic to create_simple_wrapper(),
	so wrapped programs will know where resource files are located.
		
2004-10-09  Michael Meeks  <michael@ximian.com>

	* patches/src680/nsbuild-disable.diff,
	* patches/src680-m55/apply: add.

2004-10-08  Michael Meeks  <michael@ximian.com>

	* patches/src680-m55/apply: clean for
	new snapshot.

2004-10-08  Michael Meeks  <michael@ximian.com>

	* bin/build-ooo: fix silly.

2004-10-08  Michael Meeks  <michael@ximian.com>

	* patches/src680-m55/package-m55.diff,
	* patches/src680-m55/apply: somehow the
	cvs update didn't update to m55.

2004-10-07  Michael Meeks  <michael@ximian.com>

	* patches/src680/fileformat.diff,
	* patches/src680-m55/apply: add missing file.

2004-10-07  Michael Meeks  <michael@ximian.com>

	* test/qpro/*: add several more tests,
	screenshots & exported xls files.

2004-10-07  Jan Holesovsky  <kendy@suse.cz>

	* Makefile.shared: $(BUILD_WIN32) instead of $BUILD_WIN32, comment out
	  libwpd*.tar.gz copying.

2004-10-07  Michael Meeks  <michael@ximian.com>

	* patches/src680-m55/*: add.
	* patches/order: switch to src680-m55

	* Filed #35101 with my filter registration / flags woes.

	* patches/src680/insdlg-include.diff: fix
	broken include path.

2004-10-06  Michael Meeks  <michael@ximian.com>

	* patches/src680-snap-2004-10-05/apply,
	* patches/src680/zip-fix.diff: fix zip silly.

	* bin/setup.in: bin java conditional.

	* patches/src680-snap-2004-10-05/apply,
	* patches/src680/gtk-dep.diff: back-port fix.

	* bin/setup.in: disable all langs but ENUS.

	* patches/src680-snap-2004-10-05/apply: stub.

	* bin/install-artwork: don't copy artwork in.

	* download.in: fix snapshot downloading.

	* configure.in: clobber OOO_VERSION checks,
	will be almost certainly wrong & make ooo-wrapper
	fail in due course.

2004-10-06  Michael Meeks  <michael@ximian.com>

	* configure.in: add comic warning.

	* configure.in: update.
	* patches/order: lie.
	* patches/OOO_1_1_2: axe
	* patches/src680-snap-2005-10-05/Makefile.am,
	* patches/src680/Makefile.am: add.

	* Wildly Unstable Branch: HEAD.

	* Tag: OOO_BUILD_1_3_ANCHOR

2004-10-06  Michael Meeks  <michael@ximian.com>

	* bin/linkoo: fix env generation, disable filter
	linkage, the filter code can't cope. IZ#35021

2004-10-06  Michael Meeks  <michael@ximian.com>

	* test/qpro/simple.wb2: add simple QPro test file.

2004-10-06  Ashwanth Premchandran <apremchandran@novell.com>

	* patches/OOO_1_1/sc-lotus-code.diff: Lotus 1-2-3 interoperability.
	Few changes in the headers that are included in op.cxx.

2004-10-05  Michael Meeks  <michael@ximian.com>

	* bin/linkoo: fix for 1.1 code & fixup iso/ooo resource
	clobbering action.

2004-10-05  Michael Meeks  <michael@ximian.com>

	* bin/linkoo: re-work completely - scan for files in
	a more simple, generic & intelligent way.

2004-10-05  Shilpa Sreeramulu  <sshilpa@novell.com>

	* patches/OOO_1_1/sc-default-color-modify.diff,
	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply: Change the default
	color options in Chart

2004-10-04  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/OOO_1_1/sd-export-html-translations.diff,
	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply: that hunk from
	sd-export-html.diff which changes whenever new translations are
	added.

	* patches/OOO_1_1/gui-interop-warnings.diff: remove the "af" and
	"zu" translations from the patch context. Makes the patch apply
	for 1.1.2 and 1.1.3.

2004-10-04  Dan Williams <dcbw@redhat.com>

	* patches/OOO_1_1_2/apply: add the sd-spellcheck patch
	* www/cws-quickhowto.txt: s/Soap/SOAP/ for perl modules required

2004-10-03  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply,
	* patches/OOO_1_1/desktop-debug-fix.diff: add patch from
	  Josh Triplett from Issue 28330 to fix debug=yes build
	  in desktop/

2004-10-01  Jan Holesovsky  <kendy@suse.cz>

	* patches/OOO_1_1/fpicker-kde.diff: Do not freeze OOo after
	  double-click to select a file to open. [SUSE#46658]

2004-10-01  Michael Meeks  <michael@ximian.com>

	* doc/cws.txt: add - to be re-worked into www/cws-*.html
	for hackers.

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply,
	* patches/vclplug/xim-fixes.diff: fix XIM at least a bit.

2004-10-01  Jan Holesovsky  <kendy@suse.cz>

	* patches/OOO_1_1/fpicker-common.diff,
	  patches/OOO_1_1/fpicker-kde.diff: (Reviewed by Petr)
	  - Ask for user's confirmation when she selects an existing name in
	    the "Save As" dialog; fixes Ximian#66814.
	  - Set the catalogue file of kdefilepicker to kdialog, so that its
	    translations are used.

	* patches/OOO_1_1/novell-japanese-fonts.diff: Fix also Simplified
	  Chinese menu font; SUSE#45396.
	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply: FIXME: we should
	  rename novell-japanese-fonts.diff to novell-cjk-fonts.diff.

2004-10-01  Ashwanth Premchandran <apremchandran@novell.com>

	* patches/OOO_1_1/sc-lotus-code.diff: Lotus 1-2-3 interoperability.
	Help from Sunil Gandhi in reverse engineering the file format.

2004-10-01  Fridrich Strba <fridrich.strba@bluewin.ch>
	* patches/wpd/writerperfect-source-stream-wpxsvstream-cxx.diff:
	removing unnecessary include of a private header

2004-09-30  Petr Mladek  <pmladek@suse.cz>

	* patches/OOO_1_1/sc-merge-cell.diff: add some translations [X#67126]

2004-09-30  Michael Meeks  <michael@ximian.com>

	* test/lotus/lotus.c: hacked up biff / 123 skeleton
	parser for debugging.

2004-09-30  Michael Meeks  <michael@ximian.com>

	* bin/linkoo: add libs?d detection lib support.

	* Note: officecfg/*/TypeDetection.xcu seems to have moved
	in HEAD to filter/source/config/fragments/

2004-09-30  Ashwanth Premchandran <apremchandran@novell.com>

	* test/lotus/TextAttr.123: add a Lotus 1-2-3 test
	file containing various text attributes.

2004-09-30  Michael Meeks  <michael@ximian.com>

	* doc/im.txt: incomprehending panicing wrt. xim.

	* www/hackers-guide-ja.html, www/hackers-guide.html,
	* index.html: add News entry about Japanese hackers guide
	translation & update the cross-linkage.

2004-09-29  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply,
	* patches/vclplug/crash-ppd-parse.diff: fix CUPS ppd
	parse failure crasher nasty.

2004-09-29  Jan Holesovsky  <kendy@suse.cz>

	* patches/vclplug/vcl-unx-kde-nwf.diff: Do not override the OOo fonts
	  for menus with KDE settings, just prepend it; workaround for
	  SUSE#45396.

2004-09-29  Michael Meeks  <michael@ximian.com>

	* bin/linkoo: make libepn & dpi bits optional, now works
	passably with HEAD.

2004-09-29  Michael Meeks  <michael@ximian.com>

	* bin/linkoo: make the substitutions more generic to
	cope with different languages (HEAD uses en-US), and
	clean some bits of code.

	* www/cws-quickhowto.html: add for ease of use.

2004-09-27  Petr Mladek  <pmladek@suse.cz>

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply
	* patches/OOO_1_1/setup2-update-symlink.diff: fix update of symlinks;
	  they must be removed before they can be replaced [X#66902]

2004-09-08  Jayant Balraj Madavi <mjayant@novell.com>

	* patches/evo2/*: short-circuit no-where queries on
	local addressbooks for a more pleasant experience.
	Fix sexpr mapping for more complex LIKE clauses.

2004-09-08  Jayant Balraj Madavi <mjayant@novell.com>

	* patches/evo2/*: prune stale / unused code, re-work
	authentication process.

2004-09-27  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply,
	* patches/vclplug/crash-deletion.diff: fix nasty
	event emission potential crasher; back-ported from
	vcl27: thanks Philipp.

2004-09-24  Petr Mladek  <pmladek@suse.cz>

	* bin/package-ooo: rather put the JRE instead of the JDK in the default
	  configuration if a JDK from JPackage project is used for build

2004-09-23  Petr Mladek  <pmladek@suse.cz>

	* patches/OOO_1_1/novell-japanese-fonts.diff, patches/OOO_1_1_2/apply,
	  patches/OOO_1_1_3/apply (NovellOnly):  configure some Japanese fonts
	  used on Novell products (patch by Mike Fabian <mfabian@suse.de>)

2004-09-23  Dan Williams <dcbw@redhat.com>

	* patches/OOO_1_1/word-count.diff
		- Really fix it this time

2004-09-23  Dan Williams <dcbw@redhat.com>

	* patches/OOO_1_1_2/apply
	  patches/OOO_1_1_3/apply
	  patches/OOO_1_1/rsc-double-free-fix.diff
		- Fix a double-free caused by fclose()-ing the same file stream
			in 'rsc' tool, which segfaults on newer Fedora Core due to
			new behavior in glibc that abort()s on some common errors

	* bin/font-munge
		- Add some more fallbacks for Fedora Core/RHEL fonts in zh_TW, zh_CN,
			and Korean

	* patches/OOO_1_1/word-count.diff
		- Fix context, word count menu item was in #if SOLAR_JAVA section for
			some reason, and therefore not getting compiled in anymore for
			non-Java builds

2004-09-22  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/OOO_1_1/pyuno-update-docs.diff,
	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply: some pyuno doc
	updates from its web site.

2004-09-21  Jan Holesovsky  <kendy@suse.cz>

	* patches/vclplug/vcl-unx-kde-nwf.diff: Do not destruct tabs, they are
	  already destructed by their parent; Ximian#65228.

	* patches/vclplug/vcl-unx-source-plugadapt.diff: Do not return true in
	  is_kde_desktop() when aWM is empty; Ximian#65618.

2004-09-20  Michael Meeks  <michael@ximian.com>

	* test/Lwp/lwp2.c: a new, simpler way of parsing,
	looks more promising.

2004-09-21  Jan Holesovsky  <kendy@suse.cz>

	* patches/vclplug/vcl-unx-kde-data-cxx.diff: Call
	  KApplication::disableAutoDcopRegistration() before creating a
	  KApplication instance to prevent kdcop from hanging; SUSE#45651.

2004-09-20  Jan Holesovsky  <kendy@suse.cz>

	* patches/OOO_1_1/fpicker-kde.diff: Treat "*.*" as "*" so that the
	  "All files" option shows even files without any suffix; fixes
	  SUSE#45527.

	* patches/OOO_1_1/fpicker-common.diff,
	  patches/OOO_1_1/fpicker-kde.diff: Kill cvs-specific tags to avoid
	  problems with future merging.

	* patches/vclplug/vcl-unx-kde-nwf.diff: Do not let font height be
	  less or equal to 0; fixes Ximian#65209.

2004-09-20  Michael Meeks  <michael@ximian.com>

	* test/Lwp/lwp.c: add re-framing recovery to
	make the broad sweep easier to see.

	* test/Lwp/lwp.c: scratch parsing, hard-coded
	for austin.lwp

2004-09-20  Caolan McNamara  <caolan@redhat.com>

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply,
	* patches/OOO_1_1/crash-sw-redline.diff: fix nasty.

2004-09-20  Tim Reid  <timothymreid@hotmail.com>

	* doc/lwp.txt: update.

	* test/Lwp/austin.txt, lwp, png, sam: add.

2004-09-20  Michael Meeks  <michael@ximian.com>

	* doc/clipboard.txt: add for Anders.

2004-09-20  Fridrich Strba <fridrich.strba@bluewin.ch>

	* patches/wpd/ writerperfect-prj-d-lst.diff
		- Make deliver work with MacOSX
		- Remove unnecessary libwpd related stuff

2004-09-18  Dan Williams  <dcbw@redhat.com>

	* patches/OOO_1_1/helper-programs-redhat.diff
		- Use Evolution as default mailer

2004-09-17  Dan Williams  <dcbw@redhat.com>

	* bin/setup.in
		- New environment variable, RPM_TAG_LANGPACKS
		that appends a '%lang(<lang>)' to the beginning
		of each line of the language filelists

	* bin/package-lang
		- Tag filelist with %lang if RPM_TAG_LANGPACKS
		is non-empty

2004-09-17  Dan Williams  <dcbw@redhat.com>

	* bin/openoffice-xlate-lang
		- Add hindi (91)

	* bin/setup.in
		- Do the RPM %config stuff for RedHat/Fedora stuff too

	* bin/package-ooo
		- Clean up the Red Hat post-install section

2004-09-17  Michael Meeks  <michael@ximian.com>

	* Version 1.3.5

2004-09-17  Dan Williams  <dcbw@redhat.com>

	* bin/install-dictionaries
		- Deal with wordbook .dic files
		- Add some more languages to the heap

2004-09-17  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_3/apply, patches/OOO_1_1_2/apply,
	* patches/OOO_1_1/db-duplicate-tables.diff: ensure
	the query that the design-view creates (switch to
	SQL mode) doesn't contain pointlessly duplicated
	table names (pwrt. aliases etc.).

	* patches/OOO_1_1_3/apply, patches/OOO_1_1_2/apply,
	* patches/OOO_1_1/db-mail-merge-size.diff: fix 
	far-too-small sizing in mail-merge DB dialog,
	add [ DBFixes ] section
	*** re-add Wordperfect to Common [!] ***

	* patches/OOO_1_1_3/apply, patches/OOO_1_1_2/apply,
	* patches/evo2/*: continuing re-factor, now groks
	table names, parses SQL -> sexpr, some degree of
	workingness. add new catalog / tables files.

	* www/ooo-build.html: add link to accounts requesting
	HOWTO.

2004-09-16  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply,
	* patches/OOO_1_1/win32-gw-send-mail.diff: work around
	groupwise client, send->mail crasher.
	
2004-09-16  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/win32-transfer-alpha.diff:
	clobber all 32bit bitmaps, converting to 24bit to
	avoid 32bit alpha viciousness.

2004-09-16  Ashwanth Premchandran  <apremchandran@novell.com>

	* test/Lwp/empty.lwp: add.
	* test/Lwp/a.lwp: add.
	* test/Lwp/abcd.lwp: add.
	* test/Lwp/bold.lwp: add.
	* test/Lwp/italics.lwp: add.
	* test/Lwp/helloworld.lwp: add.
	* test/Lwp/helloworl.lwp: add.
	* test/Lwp/lotusWordPro.lwp: add.
	* test/Lwp/lwp1.lwp: add.
	* test/Lwp/a.txt: add.
        * test/Lwp/abcd.txt: add.
        * test/Lwp/bold.txt: add.
        * test/Lwp/italics.txt: add.
        * test/Lwp/helloworld.txt: add.
        * test/Lwp/helloworl.txt: add.
        * test/Lwp/lotusWordPro.txt: add.
        * test/Lwp/lwp1.txt: add.

2004-09-16  Ashwanth Premchandran  <apremchandran@novell.com>
                                                                                                                                                             
        * test/lotus/testfile-123.123: add.
        * test/Lwp/ : add.

2004-09-15  Dan Williams <dcbw@redhat.com>

	* patches/vclplug/vcl-unx-gtk.diff
		- Fix location of patched file

	* bin/setup.in
		- Adjust options for RHEL3 and RHL9

2004-09-15  Michael Meeks  <michael@ximian.com>

	* doc/lwp.txt: add.

2004-09-15  Dan Williams <dcbw@redhat.com>

	* patches/vclplug/vcl-unx-gtk.diff
		- Update to latest upstream to get radio button fix

	* bin/setup.in
		- Add section for RHEL3

	* patches/vclplug/config-office-plug.diff
		- Recognize versioned Qt includes directories (ie
			/usr/lib/qt-3.1/include) during OOo configure

2004-09-15  Dan Williams <dcbw@redhat.com>

	* patches/OOO_1_1/redhat-CAN-2004-0752-tempfile-leakage.diff
		- removed

	* patches/OOO_1_1_2/apply
	  patches/OOO_1_1_3/apply
		- tag security-tmp-dir.diff with its CAN #

	* bin/package-lang
	  bin/package-ooo
		- Make sure we can actually copy the ooo*.res files
			before we try

2004-09-15  Raul Siddhartha  <rsiddhartha@novell.com>

	* patches/vclplug/fpicker-gnome-filepicker-cxx.diff: Add the
	style and template listboxes to the file-sel X#65075

2004-09-14  Dan Williams <dcbw@redhat.com>

	* patches/OOO_1_1_2/apply
		- Update for reworked Evo2 patches

2004-09-14  Dan Williams <dcbw@redhat.com>

	* patches/OOO_1_1/redhat-standard-colors.diff
		- Change "Sun x" colors to "Red Hat x" colors

	* patches/OOO_1_1/redhat-CAN-2004-0752-tempfile-leakage.diff
		- Fix temp file security vul, RedHatOnly for now
			since its a Linux-only patch (Michael, I saw your
			other one, this fix should be considered temporary)

	* patches/OOO_1_1_2/vcl-arabic-fallback.diff
		- Fix IZ#28567 (should be in 1.1.3)

	* patches/OOO_1_1_2/apply
		- Add some more patches for Red Hat/Fedora systems

	* configure.in
		- Bump bluecurve icon version

2004-09-14  Michael Meeks  <michael@ximian.com>

	* patches/evo2/*: commit re-worked patches, all renamed,
	generated using bin/gen for easy re-generation &
	comparison & consistent naming.

	* Tag: BEFORE_EVO_REFACTOR

	* bin/linkoo: add libdba, libevoab2

2004-09-14  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/OOO_1_1/translation-shift.diff: unify capitalization.

2004-09-14  Raul Siddhartha  <rsiddhartha@novell.com>

	* patches/vclplug/fpicker-gnome-filepicker-cxx.diff: Add the
	link checkbox to the file-sel X#65075

2004-09-14  Raul Siddhartha  <rsiddhartha@novell.com>

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply,
        patches/vclplug/fpicker-gnome-picker-hxx.diff,
        patches/vclplug/fpicker-gnome-picker-cxx.diff,
        patches/vclplug/fpicker-gnome-filepicker-cxx.diff,
        patches/vclplug/fpicker-gnome-filepicker-hxx.diff,
        patches/vclplug/fpicker-gnome-folderpicker-cxx.diff,
        patches/vclplug/fpicker-gnome-folderpicker-hxx.diff,
        patches/vclplug/fpicker-gnome-svtools-folderpicker.diff,
        patches/vclplug/fpicker-gnome-entry.diff,
        patches/vclplug/fpicker-gnome-build.diff,
        patches/vclplug/fpicker-gnome-serviceinfo.diff
        patches/vclplug/fpicker-gnome-xml.diff: Addition of
	the Versions and folder picker by Caolan

2004-09-14  Ashwanth Premchandran  <apremchandran@novell.com>

	* patches/OOO_1_1/sw-lotus-typedetect.diff: add.

2004-09-13  Michael Meeks  <michael@ximian.com>

	* bin/ooo-wrapper.in (check_user_installation):
	always unlink the $SetupConfig - even if we fail to
	run, otherwise the quick-starter will quickly fill 
	/tmp 1 file per second.

2004-09-13  Ashwanth Premchandran  <apremchandran@novell.com>

	* patches/OOO_1_1/sw-lotus-detect.diff: add.

2004-09-09  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/{sdk,odk}-remove-non-free.diff: patch
	  (yet only in DebianOnly) to be able to build odk/ and sdk_oo/
	  without the non-free docs
	* patches/OOO_1_1_3/apply: move ODKFixes to the LinuxCommon set
           since a (stripped from the non-free stuff) odk/ now are supposed
	   to exist in Debians .orig.tar.gz

2004-09-09  Petr Mladek  <pmladek@suse.cz>

	* bin/package-ooo: really remove only $OODESTDIR from the installed
	  files; partly fixes b.x.c #65235

2004-09-09  Ashwanth Premchandran  <apremchandran@novell.com>

        * patches/OOO_1_1/help-support.diff
        * patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply:
          Help -> Support  X#65554

2004-09-09  Fridrich Strba  <fridrich.strba@bluewin.ch>

	* patches/wpd/writerperfect-prj-d-lst.diff: fix
	for OS/X.

2004-09-09  Caolan McNamara  <caolan@redhat.com>

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply,
	* patches/OOO_1_1/crash-sw-checkbox-field.diff:
	add to nail crasher IZ#33980.

2004-09-09  Petr Mladek  <pmladek@suse.cz>

	* bin/package-ooo: do not comment out ./setup; make install works
	  again now

2004-09-09  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

	* bin/ooo-wrapper.in: Move resource dir finding before
	check_user_installation(), so installation won't fail due to missing
	resource dir.

2004-09-08  Jan Holesovsky  <kendy@suse.cz>

	* patches/OOO_1_1/fpicker-kde.diff: Add extensions when "Auto
	extensions" checkbox is checked in KDE fpicker; fixes X#65207.

2004-09-08  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply,
	* patches/vclplug/vcl-m47-transparent-fix.diff:
	back-port fix from ssa for #63104

2004-09-08  Michael Meeks  <michael@ximian.com>

	* Version 1.3.4

2004-09-08  Michael Meeks  <michael@ximian.com>

	* Makefile.shared, bin/fix-deps, bin/Makefile.am,
	* bin/build-ooo: add fix-deps, & allow it to be
	clobbered by OOO_FIX_DEPS=NO

2004-09-08  Raul Siddhartha  <rsiddhartha@novell.com>

	* patches/vclplug/fpicker-gnome-filepicker-hxx.diff: Header 
	change for the separate filters for the Save As dialog: X#63710

2004-09-08  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_3/apply, patches/OOO_1_1_2/apply:
	remove duplication of vba-sc-i/o patches.

2004-09-08  Jayant Balraj Madavi <mjayant@novell.com>

	* patches/evo2/evoab2_prestatement.diff,
	* patches/evo2/evoab2_contacts.diff:
	  patch for #63524 and #65189.

2004-09-08 Ashwanth Premchandran  <apremchandran@novell.com>

	* patches/OOO_1_1/vba-sc-import.diff
	* patches/OOO_1_1/vba-sc-export.diff
	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply:
          A Better Fix for Excel macros -  X#64115

2004-09-08  Petr Mladek  <pmladek@suse.cz>

	* bin/package-ooo (Novell, SUSE only): add the line "OnlyShowIn=GNOME;
	  into the desktop files

2004-09-08  Michael Meeks  <michael@ximian.com>

	* configure.in, bin/setup.in, bin/package-ooo,
	* bin/ooo-wrapper.in: add a --version flag, that
	dumps the ooo build versiont too.

2004-09-08  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply: PLD also wants
	build-wizard-bitmap-scp.diff and resmgr-resource-path.diff - move
	them into Novell+PLD shared section.

2004-09-08  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/bmp32.diff: add fix for #65399

2004-09-07  Michael Meeks  <michael@ximian.com>

	* patches/vclplug/vcl-dnd-fix.diff: dispatch X
	events to the callback for D&D purposes; back-port
	part of #65182

	* patches/vclplug/vcl-unx-gtk-m46-to-m53.diff,
	* patches/OOO_1_1_3/apply: add - fixing some cursor
	mappings, don't bother with many new psprint bits.

	* patches/vclplug/psprint-m46-to-m53.diff: speculative
	patch to evaluate pull-up to HEAD.

2004-09-07  Raul Siddhartha  <rsiddhartha@novell.com>

	* patches/vclplug/fpicker-gnome-filepicker-cxx.diff: Added the separate
	set of filters for the Save As dialog: X#63710

2004-09-07  Kjartan Maraas  <kmaraas@gnome.org>

	* po/zh_CN.po: Convert this to UTF-8 to see if that helps
	close http://bugzilla.ximian.com/show_bug.cgi?id=65067

2004-09-03  Luiz Augusto Von Dentz  <luiz.dentz@freedows.com>

	* patches/OOO_1_1_3/apply: Add issue number to vba_foreach.diff
	patch.

2004-09-03  Michael Meeks  <michael@ximian.com>

	* Version 1.3.3

2004-09-03  Michael Meeks  <michael@ximian.com>

	* desktop/*.desktop.in (MimeType): add fields here,
	potentially incomplete - but apparently necessary for a
	new Mime/type spec. #65067 (not relevant to NLD but
	presumably harmless).

	* patches/mscodec/Makefile.am, patches/mscodec/.cvsignore,
	* configure.in, patches/Makefile.am: add to the build.

	* desktop/*.desktop.in: add Encoding=UTF-8 to each
	desktop file to satisfy the .desktop validator #65229

	* desktop/*1.1.desktop.in: remove, stale & old &
	shouldn't be installed.

2004-09-03  Raul Siddhartha  <rsiddhartha@novell.com>

	* patches/vclplug/fpicker-gnome-filepicker-cxx.diff: Fix for
	the pdf extension X#63175 bug

2004-09-02  Petr Mladek  <pmladek@suse.cz>

	* bin/package-ooo: install simple wrappers /usr/sbin/oopadmin
	  and /usr/sbin/oojvmsetup

2004-09-02  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/gui-scale-ruler.diff: fix
	compound breakage.

	* patches/mscodec/*.diff: start of back-port.

	* patches/OOO_1_1/gui-interop-warnings.diff: fix
	snafu.

	* Makefile.shared (patch.unapply): has to delete
	patch.apply stamp.

	* patches/vclplug/vcl-gtk-fontconfig-fonts.diff:
	fix height variable name.

2004-09-02 Ashwanth Premchandran  <apremchandran@novell.com>

	* patches/OOO_1_1/addrbk-datasrc-ordering.diff
	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply: 
          Address data source ordering X#62860

2004-09-02  Michael Meeks  <michael@ximian.com>

	* patches/wpd/wpd-sw-iodetect.diff: fix nasty #65032

	* patches/vclplug/vcl-gtk-fontconfig-fonts.diff:
	re-work to not tangle with gtk-pt-not-pixel.diff

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply,
	* patches/OOO_1_1/gui-gtk-pt-not-pixel.diff: remove.
	* patches/OOO_1_1/gui-i18n-default-font.diff: remove.

2004-09-02  Raul Siddhartha  <rsiddhartha@novell.com>

	* patches/vclplug/fpicker-gnome-filepicker-cxx.diff: Fix up
	a variable name mismatch

2004-09-01  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

	* configure.in: Kill new bashizms.

2004-09-01  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/gui-interop-warnings.diff: add
	missing <info> nodes causing validation to fail.

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply,
	* patches/vclplug/solenv-inc-settings-mk.diff: fix
	silly non-printing problem.

	* patches/vclplug/fpicker-gnome-filepicker-cxx.diff:
	re-order buttons to Gnome button order; X#62800

	* TODO: clean-ups all over.

	* patches/vclplug/fpicker-gnome-filepicker-cxx.diff:
	set default response to accept, improving ergonomics.

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply,
	* patches/OOO_1_1/gui-interop-warnings.diff: fix 
	#62182, allow the user to turn off the annoying
	dialogs.

2004-09-01  Nicel KM  <mnicel@novell.com>

	* patches/vclplug/vcl-gtk-fontconfig-fonts.diff:
	Re-created to apply properly.
	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply:
	Enabled vcl-gtk-fontconfig-fonts.diff.

2004-08-31  Jan Holesovsky  <kendy@suse.cz>

	* patches/OOO_1_1/build-pl-parallel-dmake-blacklist.diff:
	  Added some java projects; the .jar is created too early.

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply: Temporarily
	  disabled vcl-gtk-fontconfig-fonts.diff, because it does not apply.

2004-08-31  Nicel KM  <mnicel@novell.com>
                                                                                                                             
	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply,
	* patches/vclplug/vcl-gtk-fontconfig-fonts.diff:
        Fix to get the fontconfig fonts as per the locale; fixes
        #63129, #62272 - Japanese font issue.

2004-08-31  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

	* bin/ooo-wrapper.in: Display information about
	~/.openoffice-install-log when installation fails.
	
2004-08-31  Jan Holesovsky  <kendy@suse.cz>

	* bin/ooo-wrapper.in: Minor fix (if WINDOWMANAGER =~ ".*gnome\$", then
	$icons_set="gnome", not "kde").

2004-08-31  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

	* bin/ooo-wrapper.in: Better finding which (kde/gnome) resources to
	use.

2004-08-30  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply:
	fix writerperfect patch name.

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply,
	* patches/vclplug/vcl-dnd-fix.diff: partial back-port;
	should do a full re-sync of the gtk+ backend.

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply,
	* patches/OOO_1_1/security-tmp-dir.diff: fix (very)
	silly.

2004-08-30  Luiz Augusto Von Dentz  <luiz.dentz@freedows.com>

	* patches/OOO_1_1/vba-foreach.diff: fixes.

	* test/macro/macrobook.xls: add more regression tests.

2004-08-30 Ashwanth Premchandran  <apremchandran@novell.com>
                                                                                                                                                             
	* patches/OOO_1_1/sw-import-crash.diff
	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply: Fix
        for doc crasher X#64030

2004-08-30  Michael Meeks  <michael@ximian.com>

	* www/hackers-guide.html: remove the
	'make install' method causing Jayant so much trouble.

	* configure.in: auto-generate OOO_VERSION from
	the cvs tag, assuming it's in some sensible form.

2004-08-27  Christian Junker  <usboy2004@web.de>

	* patches/OOO_1_1/crash-sd-spellcheck.diff,
	* patches/OOO_1_1_3/apply: crasher fix from Bibek.

2004-08-27  Michael Meeks  <michael@ximian.com>

	* bin/gen: add -R option to help generate
	writerperfect patches - bin the date headers to shrink
	the change-set across diffs.

	* patches/OOO_1_1_3/apply: add odma bits in.

	* Version 1.3.2

2004-08-27  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_2/apply: re-add
	win32-transfer-alpha.diff that got lost somehow &
	fix snafu from Raul.

2004-08-27  Raul Siddhartha  <rsiddhartha@novell.com>

	* patches/vclplug/sfx2-fpicker-gnome-filter-fix.diff,
	patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply: The fix
	for the gtk file-sel filter bug #62833

2004-08-27  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/vfs-uno-uri.diff: fix nasty whereby
	we returned valid URIs for '/foo:' '/foo://' instead of
	failing.
	
	* patches/OOO_1_1/vfs-uno-uri.diff: remove bogus
	extra hash lookup, and initialise 'pi' in-place.

2004-08-27  Raul Siddhartha  <rsiddhartha@novell.com>

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply: 62833 fix 
	rolled back

2004-08-26  Jan Holesovsky  <kendy@suse.cz>

	* patches/OOO_1_1/fpicker-common.diff: Added forgotten join()'s to
	  UnxFilePicker destructor; should fix the crashes when the KDE file
	  picker is cancelled.

2004-08-26  Tommy C. Li  <realitymage@impulsestorm.com>

	* patches/vclplug/vcl-force-desktop.diff,
	  patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply: Let the user
	  override autodection which desktop she runs by exporting
	  OOO_FORCE_DESKTOP=KDE|Gnome|CDE|none before running.
	  SAL_USE_VCLPLUGIN affects just the used plugin, OOO_FORCE_DESKTOP
	  also DtIntegrator and file pickers.
	  (The author faxed & sent JCA to Sun already.)

2004-08-26  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/OOO_1_1/vfs-uno-uri.diff: s/name/rstr/ in
	INetURLObject::getPrefix. Fixes build. Hope it's correct.

2004-08-26  Petr Mladek  <pmladek@suse.cz>

	* patches/OOO_1_1/print-resolution-generic.diff: completely remove
	  the Duplex setting; the Generic PPD cannot set this feature
	  because it do not know if the printer support it.

	* patches/OOO_1_1_3/apply: add speed-status-bar.diff

	* bin/install-dictionaries: support some more hyphen dictionaries

2004-08-26  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/OOO_1_1/config-switches.diff: add PYTHONHOME and
	PYTHONPATH defines to SCPDEFS right here in configure.in.
	Disabled because it breaks in tcsh.

	* patches/OOO_1_1/system-python.diff: and not here in makefile.mk,
	but scp mangles the uris anyway :-(.

2004-08-26  Michael Meeks  <michael@ximian.com>

	* Version 1.3.1

2004-08-26  Jan Holesovsky  <kendy@suse.cz>

	* configure.in, Makefile.shared, bin/setup.in: New variable APPLY_DIR;
	  defines where should we look for the apply file. Useful for release
	  candidates tags, so that they could share patches/<TAG>/apply file.
	
	* download.in, configure.in: Support for OOO_1_1_3_fix2 tag. It uses
	  patches/OOO_1_1_3/apply rules.

2004-08-26  Shreyas Srinivasan  <sshreyas@novell.com>

	* patches/OOO_1_1/vfs-uno-uri.diff: fix, removing ugly
	hard-coded URI prefix list for gnome-vfs; dynamically
	construct hash for this on the fly instead.

2004-08-26  Raul Siddhartha  <rsiddhartha@novell.com>

	* patches/OOO_1_1_2/config-switches.diff,
	* patches/OOO_1_1/config-switches.diff: hard-code
	ENABLE_CUPS to TRUE always; so we actually compile the
	new vclplug cups integration code.

2004-08-25  Michael Meeks  <michael@ximian.com>

	* www/ooo-build.html: clarify ooo-build bit; fix missing
	<pre> tag.

2004-08-25  Luiz Augusto Von Dentz  <luiz.dentz@freedows.com>

	* patches/OOO_1_1_3/apply, patches/OOO_1_1_2/apply,
	* patches/OOO_1_1/vba-bitshift.diff,
	* patches/OOO_1_1/vba-foreach.diff: add features.

2004-08-25  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/OOO_1_1/config-switches.diff: when building with system
	python, use the system PYTHONPATH.

	* patches/OOO_1_1/system-python.diff: add system python logic to
	pyuno/test/makefile.mk and to scp/source/python (pythonloader.unorc)

	* patches/OOO_1_1_3/apply: remove "not yet complete" comment from
	system-python.diff. Please test ;-)

	* patches/vclplug/vcl-unx-gtk-menu-style.diff: revert 2004-08-17
	change, it made not only Mist but also Bluecurve and Galaxy menus
	unreadable.

2004-08-25  Ashwanth Premchandran  <apremchandran@novell.com>

	* patches/OOO_1_1/vcl-gtk-keycode.diff
	patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply: Fix
	for autocompletion of words that have an apostrophe in them- bug #63231

2004-08-25  Mukund Sivaraman  <mukund@openoffice.org>

	* patches/OOO_1_1_3/apply, patches/OOO_1_1_2/apply,
	* patches/OOO_1_1/sc-precision-skew.diff,
	* patches/OOO_1_1/sc-precision-var.diff: add
	precision fixes for several formulae.

2004-08-25  Raul Siddhartha  <rsiddhartha@novell.com>

	* patches/vclplug/sfx2-fpicker-gnome-filter-fix.diff,
	patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply: Fix
	for the gtk file-sel filter bug #62833

2004-08-25  Michael Meeks  <michael@ximian.com>

	* www/ooo-build.html: add explanation of cvs
	slowness.

	* patches/wpd/*: canonicalise all libwpd,
	writerperfect patch names.

	* patches/wpd/writerperfect-prj-*.diff:
	re-generate, adding correct dependencies for
	from-clean builds.

	* patches/libwpd-prj.diff: deliver .lib from
	slb on Win32.

2004-08-24  Michael Meeks  <michael@ximian.com>

	* patches/wpd/wpd-win32.diff: add, vsnprintf
	missing defs fix.

2004-08-24  Jan Holesovsky  <kendy@suse.cz>

	* bin/scale-icons: Fix --remove, which was removing too much on some
	filesystems. Fixes build with more icon sets (--with-icons=gnome,kde).

2004-08-24  Michael Meeks  <michael@ximian.com>

	* bin/transform: fix comparison silly; why did
	that fail on Win32 previously ?

	* patches/wpd/Makefile.am, patches/Makefile.am,
	* configure.in: teach autotools about wpd.

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply:
	enable built-in libwpd integration.
	
	* patches/wpd/*: fixup mangled headers

	* patches/wpd/wpd-sw-prj.diff: add to build tree.
	* patches/wpd/wpd-scp.diff: install the component.

	* patches/wpd/writerperfect-util*.diff,
	* patches/wpd/libwpd-makefile.diff,
	* patches/wpd/libwpd-prj.diff: install only a static
	build of the libwpd snapshot, and link to it nicely.
	
2004-08-24  Ashwanth Premchandran <apremchandran@novell.com>

	* patches/vclplug/fpicker-gnome-filepicker-cxx.diff: Fix for
	the #63392 crasher

2004-08-24  Michael Meeks  <michael@ximian.com>

	* patches/wpd/wpd-officecfg-typedetection.diff,
	* patches/wpd/wpd-sw-iodetect.diff: add a 'WPD' tag,
	and add automatic io filter detection for WP5/6 files.

	* patches/OOO_1_1_2/apply: create a 'WordPerfect'
	filter section, 

	* patches/wpd/wpd-officecfg-typedetection.diff: add.

	* patches/wpd/writerperfect-source-stream-wpxsvstream-cxx.diff:
	fix innumerable silly bugs; finally imports wpd.

2004-08-24  Ashwanth Premchandran  <apremchandran@novell.com>

	* patches/OOO_1_1/sw-crash-fix, patches/OOO_1_1_2/apply,
	patches/OOO_1_1_3/apply: Fix for the #59375 doc import crash 

2004-08-23  Michael Meeks  <michael@ximian.com>

	* patches/wpd/writerperfect-source-filter-wordperfectcollector*:
	update with bits from CVS.

	* patches/wpd/writerperfect-source-ooo*: kill.
	* patches/wpd/writerperfect-util.diff,
	* patches/wpd/writerperfect-prj.diff: use the xmloff code
	since it's here.

	* patches/wpd/writerperfect-source-filter-makefile.diff:
	fix include paths.

	* patches/wpd/libwpd-makefile.diff, patches/wpd/libwpd-prj.diff:
	adapt to new -snap- name.

	* Makefile.shared: install libwpd during patch.apply.

	* download.in: add libwpd bits.

	* patches/wpd/*: fixup brokenness.

2004-08-23  Michael Meeks  <michael@ximian.com>

	* Makefile.shared: use transform; add 'patch.unapply'
	rule as well to help hackers. Bin '-f' argument to 'apply'
	no idea where that came from - prolly shouldn't be there;
	will only cause problems.

	* bin/transform: split out misc. sed / un-sedding action we
	have to do pwrt. font work.

	* bin/package-lang: move build var setup after
	the ARGV env. clobbering code.

2004-08-22  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/OOO_1_1/gcc-i18n.diff: in ooo113fix2 now. Move to
	patches/OOO_1_1_2, remove from OOO_1_1_3 apply file.

2004-08-21  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_2/system-nas.diff: fix semantics to
	avoid build for Windows.

2004-08-20  Jan Holesovsky  <kendy@suse.cz>

	* patches/OOO_1_1/fpicker-common.diff: Use
	com/sun/star/uno/{Any,Sequence,Reference}.hxx, not
	com/sun/star/uno/{Any,Sequence,Reference}.h, leads to unexisting
	symbols (and a refusal to compile on some systems).

2004-08-20  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply,
	* patches/OOO_1_1/sc-csv-gui.diff: root & branch csv
	importer GUI re-hash.

	* patches/OOO_1_1/sc-csv-newline.diff: handle overflowing
	strings on huge lines.

2004-08-20  David Fraser  <davidf@sjsoft.com>

	* patches/apply.pl: fix pipe issues with CRLF sed.

2004-08-20  Petr Mladek  <pmladek@suse.cz>

	* bin/package-ooo: move the KDE fpicker to the file list kde_list.txt

2004-08-20  Jan Holesovsky  <kendy@suse.cz>

	* patches/OOO_1_1_2/kde-cut-paste-fix.diff,
	  patches/OOO_1_1_2/apply: Backport of KDE cut'n'paste problem fix
	  from 1.1.3 (IZ#29078, IZ#28193).

2004-08-19  Caolan McNamara  <caolan@redhat.com>

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply,
	* patches/OOO_1_1/sw-export-word95.diff: fix unicode
	export to Word 95.

2004-08-19  Jan Holesovsky  <kendy@suse.cz>

	* Makefile.am,
	  stamp/Makefile.am: Fixed clean and maintainer-clean targets. Clean
	  removes build stamps, and the unpacked icon and OOo directories;
	  maintainer-clean removes the stamps and the entire build directory.

	* Makefile.shared: Fixed typo.

	* configure.in:
	  - Fixed typo.
	  - --with-num-jobs= limited to 10 jobs, otherwise dmake fails.

	* configure.in,
	  download.in: Use new release of the KDE icons (0.3).

2004-08-18  Jan Holesovsky  <kendy@suse.cz>

	* configure.in,
	  bin/build-ooo,
	  bin/setup.in: New configure switch --with-num-jobs. When specified,
	  it is used as a -P_number_ parameter for dmake. This allows
	  distributed building using tools like icecream or distcc. Usual
	  scenario:

	  $ export CC='/opt/icecream/bin/gcc'
	  $ export CXX='/opt/icecream/bin/g++'
	  $ ./configure --with-ccache-allowed --with-num-jobs=10
	  
	  Note: --with-ccache-allowed is needed to preserve the CC and CXX
	  setting.

	* patches/OOO_1_1/build-pl-parallel-dmake-blacklist.diff,
	  patches/OOO_1_1_2/apply,
	  patches/OOO_1_1_3/apply: A workaround for directories/projects that
	  are unable to build with "dmake -P_number_"; the -P is removed for
	  them.

	* patches/OOO_1_1/build-pl-conditionals.diff: Fixed typo.

2004-08-18  Michael Meeks  <michael@ximian.com>

	* Version 1.3.0

	* Split out ChangeLog-to-1.3.0.
